use clap::arg;
use icepick_coin::{Coin, Unsupported};

pub struct ETH;

impl Coin for ETH {
    fn coin_name(&self) -> &'static str {
        "eth"
    }

    fn coin_description(&self) -> &'static str {
        "The leading platform for innovative apps and blockchain networks."
    }

    fn build_transfer_command(&self, command: clap::Command) -> Result<clap::Command, Unsupported> {
        Ok(command
           .arg(arg!(--gas <GAS> "Specify custom gas for the transaction."))
           .arg(arg!(--"gas-payer" <ACCOUNT> "Use an alternative derivation account for paying gas.")))
    }

    fn build_stake_command(&self, _command: clap::Command) -> Result<clap::Command, Unsupported> {
        Err(Unsupported)
    }
}
